/*!
 Theme Name:   Divi Child Theme
 description: >-
   A child theme of the Divi t WordPress theme
 Author:      Christopher Delgado
 Template:     Divi
 Version:      1.0.0
*/



/*-----Shutter Effect-----*/
.ds-hover-1 {
    display: inline-block;
  position: relative;
  margin: 0px;
  overflow: hidden;
  background: #000;
}
.ds-hover-1 img {
  display: block;
  max-width: 100%;
  -webkit-transition: opacity 0.3s ease-in-out;
  -moz-transition: opacity 0.3s ease-in-out;
  transition: opacity 0.3s ease-in-out;
}
.ds-hover-1:hover img {
  opacity: 0.5;
}
.ds-hover-1::after {
  content: attr(ds-title);
  position: absolute;
  height: 12%;
  color: #fff;
    z-index: 1;
  top: 0;
  width: 90%;
  background: rgba(0,0,0,0.5);
  font-weight: 300;
  font-size: 40px;
  text-transform: uppercase;
  padding: 5%;
  -webkit-transform: translateY(-100%);
  -moz-transform: translateY(-100%);
  transform: translateY(-100%);
    -webkit-transition: -webkit-transform 0.3s ease-in-out; 
  -moz-transition: -moz-transform 0.3s ease-in-out; 
  transition: transform 0.3s ease-in-out; 
}
.ds-hover-1::before {
  content: attr(ds-desc);
  position: absolute;
  height: 100%;
  color: #fff;
  z-index: 1;
  top: 27%;
  width: initial;
  background: rgba(255,102,0,0.5);
  font-size: 16px;
  padding: 2% 5% 5% 5%;
  -webkit-transform: translateY(100%);
  -moz-transform: translateY(100%);
  transform: translateY(100%);
    -webkit-transition: -webkit-transform 0.3s ease-in-out; 
  -moz-transition: -moz-transform 0.3s ease-in-out; 
  transition: transform 0.3s ease-in-out; 
}
.ds-hover-1:hover::after,
.ds-hover-1:hover::before {
  -webkit-transform: translateY(0%);
  -moz-transform: translateY(0%);
  transform: translateY(0%);
}